/*
 * Read the ADC on a 16C71.
 */


#include	<pic.h>
#include	"adc.h"


int
adc_read(unsigned char channel)
{
    int result=0;
	ADCON0 = (channel << 3) | 0x01;		// enable ADC, RC osc.
	ADGO = 1;
	while(ADGO)
		continue;	// wait for conversion complete
    if (ADFM)
     {
       result=ADRESH;
       result=(result<<8)|ADRESL;
     }
    else
     {
       result=ADRESH;
       result=(result<<2)|(ADRESL>>6);
     }  
    return (result);   
}

