#include	<pic.h>
#include    <stdio.h>   // suport for rs232
#include	"delay.c"
#include    "lcd.c"
#include    "kbd.c"
#include    "eeprom.c"
#include    "d2a.c"
#include    "messages.h"

//__CONFIG ( WDTDIS & PWRTDIS & HS & LVPDIS & DEBUGEN);
__CONFIG ( WDTDIS & PWRTDIS & HS & LVPDIS & DEBUGDIS);

#define RELOAD          	 	  131  //divide by 125(256-125=131) interrupt every 2 ms   
#define PWM_ON         		 	 0x0c  //turn pwm on
#define PWM_OFF         	 	 0x00  //turn pwm off
#define KEY_SCAN_TIME     	  	    5  // 5*2ms=10ms scan of keyboard
#define LEDS_SHIFT_TIME  	  	  100  // 100*2ms=200ms 
#define A2D_DISPLAY_UPDATE 		   11  // 11*2ms=22ms
#define BLINKING_CURSOR_ON       0x0d  // blinking cursor on instruction to lcd
#define BLINKING_CURSOR_OFF      0x0c  // blinking cursor off instruction to lcd

#define TRUE     1
#define FALSE    0
#define LEFT     0
#define RIGHT    1

//------------------------switches and leds port definitiones------------
#define SW3   RA5
#define SW1   RB1
#define LED1  RA1
#define LED2  RA2
#define LED3  RA3

enum {potenziometer} 
enum {LEDS,BUTTONS,A2D,D2A,BUZZER,RS232,USB,EXT_EEPROM,RF};

  
//-------------------define variables----------------
bit update_a2d_result_flag;
bit leds_flag;
bit key_scan_flag;
bit direction;
bit last_next_button;
bit last_enter_button;
bit next_time;
bit update_display;

unsigned char i;
unsigned char current_mode;
unsigned char leds_timer;
unsigned char key_scan_timer;
unsigned char last_mode;
unsigned char a2d_int;
unsigned char a2d_flt1;
unsigned char a2d_flt2;
unsigned char a2d_timer;
unsigned char rs232_value;
unsigned char last_rs232_value;
unsigned char left_state;
unsigned char right_state;
unsigned char press_result;
unsigned char new_press;
unsigned char duty_cycle;
unsigned char buzzer_state;
unsigned char cursor_state;
unsigned char duty_digit[2],pr2_digit[3],add_digit[3],d2a_digit[3];
unsigned char charecter;
unsigned char first_time;
unsigned char rs232_state;
unsigned char store_state; 
unsigned char read_state; 
unsigned char eeprom_state;
unsigned char d2a_state;
int address;

unsigned int a2d_result;
unsigned int d2a_value;


//---------------------------------------------------
